### Method

# GObject ParamSpec ref

#### Declaration

    GParamSpec*
    g_param_spec_ref (
      GParamSpec* pspec
    )

#### Description

Increments the reference count of `pspec`.

This method is not directly available to language bindings.

#### Return value

Type: `GParamSpec`

The `GParamSpec` that was passed into this function.

The caller of the method takes ownership of the data, and is responsible for freeing it.